# Class InactivationState

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents a state indicating that an entity or process is currently inactive.

    public class InactivationState

Inheritance
  object
  InactivationState

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Acknowledge

    public bool? Acknowledge { get; set; }

#### Property Value

bool?

### Audio

    public AlarmEnum.AudioVideoState? Audio { get; set; }

#### Property Value

AlarmEnum.AudioVideoState?

### Visual

    public AlarmEnum.AudioVideoState? Visual { get; set; }

#### Property Value

AlarmEnum.AudioVideoState?